Bug 139923 - IDE funnies with 2.6.9-1.681
IDE funnies with 2.6.9-1.681
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Cox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-18 14:46 EST by Bill Nottingham
Modified: 2014-03-16 22:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:04:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
IDE fix (305 bytes, patch)
2004-11-19 17:18 EST, Alan Cox
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2004-11-18 14:46:12 EST
cat /proc/ide/hdc/media: Input/output error

Comes from:

 static int proc_ide_read_media
        (char *page, char **start, off_t off, int count, int *eof,
void *data)
 {
-       ide_drive_t     *drive = (ide_drive_t *) data;
+       ide_drive_t     *drive;
        const char      *media;
        int             len;

+       down(&ide_cfg_sem);
+       drive = ide_drive_from_key(data);
+       if(drive == NULL)
+       {
+               up(&ide_cfg_sem);
+               return -EIO;
+       }
+

presumably.
Comment 1 Alan Cox 2004-11-18 20:16:45 EST
Works for me.

How do you generate the failure case ? There should be no difference
except in the case you unloaded a driver in which case the old code
gave you back stale memory containing the previous answer and we error it.

If you can give me a reproducer I can try and work out how it occurs
in your case
Comment 2 Bill Nottingham 2004-11-18 23:40:58 EST
Failure case is pretty simple: ICH-5 SATA box, disk using ata_piix on
sda, CD-ROM on hdc. Non-SATA IDE is built static.

Happens right after boot, without loading/unloading anything.
Comment 3 Bill Nottingham 2004-11-18 23:56:06 EST
Happens in both 32 and 64-bit mode on the box (it's EM64t). 
Comment 4 Alan Cox 2004-11-19 17:17:13 EST
Located and fixed, one liner bug in the ide probe/setup code for
legacy interfaces at default addresses.
Comment 5 Alan Cox 2004-11-19 17:18:35 EST
Created attachment 107100 [details]
IDE fix
Comment 6 Bill Nottingham 2004-11-19 17:40:43 EST
Yup, works for me.
Comment 7 Chris Mutlow 2004-11-24 04:46:03 EST
I am having the same problem and and number of things seem unstable if
you run this Kernel and are getting this Input/Output error.
Therefore, please can we have a new kernel build with this fix included?

Thanks in advance
Comment 8 Alan Cox 2004-11-24 06:30:44 EST
If you see I/O error for anything but those /pro c/ide files it is
unrelated. Most likely you should look in dmesg and see if you have
anything logged such as disk errors
Comment 9 Dave Jones 2005-07-15 14:46:51 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 10 Dave Jones 2005-10-02 21:04:20 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.